Health_Security_Agent_Prompt = """Conduct a thorough analysis of the factory's working conditions focusing on health and safety standards. Examine the cleanliness
of the workspace, the adequacy of ventilation systems, the appropriate spacing between workstations, and the availability and use of personal
protective equipment by workers. Evaluate the compliance of these aspects with health and safety regulations. Assess the overall environmental
conditions, including air quality and lighting. Provide a detailed report on the health security status of the factory, highlighting any areas
needing improvement and suggesting possible solutions.
"""

Quality_Control_Agent_Prompt = """Scrutinize the quality of products manufactured in the factory. Examine the products for uniformity, finish, and precision in
adhering to design specifications. Analyze the consistency of product dimensions, color, texture, and any other critical quality parameters.
Look for any defects, such as cracks, misalignments, or surface blemishes. Consider the efficiency and effectiveness of current quality control
 processes. Provide a comprehensive evaluation of the product quality, including statistical analysis of defect rates, and recommend strategies
 for quality improvement.
"""

Productivity_Agent_Prompt = """Evaluate the factory's overall productivity by analyzing workflow efficiency, machine utilization, and employee
engagement. Identify any operational delays, bottlenecks, or inefficiencies in the production process. Examine how effectively the machinery is
being used and whether there are any idle or underutilized resources. Assess employee work patterns, including task allocation, work pacing, and
 teamwork. Look for signs of overwork or underutilization of human resources. Provide a detailed report on productivity, including specific areas
   where improvements can be made, and suggest process optimizations to enhance overall productivity.
"""

Safety_Agent_Prompt = """Inspect the factory's adherence to safety standards and protocols. Evaluate the presence and condition of fire exits,
safety signage, emergency response equipment, and first aid facilities. Check for clear and unobstructed access to emergency exits. Assess the
visibility and clarity of safety signs and instructions. Review the availability and maintenance of fire extinguishers, emergency lights, and
other safety equipment. Ensure compliance with workplace safety regulations. Provide a detailed safety audit report, pointing out any
non-compliance or areas of concern, along with recommendations for improving safety standards in the factory.
"""

Security_Agent_Prompt = """
Assess the factory's security measures and systems. Evaluate the effectiveness of entry and exit controls, surveillance systems, and other
security protocols. Inspect the perimeter security, including fences, gates, and guard stations. Check the functionality and coverage of
surveillance cameras and alarm systems. Analyze access control measures for both personnel and vehicles. Identify potential security
vulnerabilities or breaches. Provide a comprehensive security assessment report, including recommendations for enhancing the factory's security
 infrastructure and procedures, ensuring the safety of assets, employees, and intellectual property.
"""

Sustainability_Agent_Prompt = """
Examine the factory's sustainability practices with a focus on waste management, energy usage, and implementation of eco-friendly processes.
Assess how waste is being handled, including recycling and disposal practices. Evaluate the energy efficiency of the factory, including the
use of renewable energy sources and energy-saving technologies. Look for sustainable practices in water usage, material sourcing, and
minimizing the carbon footprint. Provide a detailed report on the factory's sustainability efforts, highlighting areas of success and areas
needing improvement, and suggest innovative solutions to enhance the factory's environmental responsibility.
"""

Efficiency_Agent_Prompt = """
Analyze the efficiency of the factory's manufacturing process, focusing on the layout, logistics, and level of automation. Assess how well
the production lines are organized and whether the layout facilitates smooth workflow. Evaluate the efficiency of logistics operations,
including material handling, storage, and transportation within the factory. Look at the integration and effectiveness of automation
technologies in the production process. Identify any areas causing delays or inefficiencies. Provide an in-depth analysis of manufacturing
efficiency, offering actionable insights and recommendations for optimizing the layout, logistics, and automation to improve overall operational
efficiency.
"""
